## groovy.util.slurpersupport
Class Attribute

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.slurpersupport.GPathResult
              groovy.util.slurpersupport.Attribute

All Implemented Interfaces:
  Buildable, GroovyObject, Writable

    public class Attribute

extends GPathResult

Field Summary

Fields inherited from class groovy.util.slurpersupport.GPathResult
`name, namespaceMap, namespacePrefix, namespaceTagHints, parent`

Constructor Summary
`Attribute(String name, String value, GPathResult parent, String namespacePrefix, Map namespaceTagHints)`

Method Summary
`protected void` `appendNode(Object newValue)`
`void` `build(GroovyObject builder)`
`Iterator` `childNodes()`
`GPathResult` `find(Closure closure)`
`GPathResult` `findAll(Closure closure)`
`Iterator` `iterator()`
`String` `name()`
`Iterator` `nodeIterator()`
`GPathResult` `parents()`
`protected void` `replaceBody(Object newValue)`
`protected void` `replaceNode(Closure newValue)`
`int` `size()`
`String` `text()`
`Writer` `writeTo(Writer out)` writes this object to the given stream

Methods inherited from class groovy.util.slurpersupport.GPathResult
`breadthFirst, children, declareNamespace, depthFirst, equals, getAt, getAt, getBody, getProperty, isEmpty, leftShift, list, lookupNamespace, parent, plus, putAt, setMetaClass, setProperty, toBigDecimal, toBigInteger, toBoolean, toDouble, toFloat, toInteger, toLong, toString, toURI, toURL`

Methods inherited from class groovy.lang.GroovyObjectSupport
`getMetaClass, invokeMethod`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Attribute

    public Attribute(String name,
                     String value,
                     GPathResult parent,
                     String namespacePrefix,
                     Map namespaceTagHints)

Method Detail

### name

    public String name()

  Overrides:
    `name` in class `GPathResult`

### size

    public int size()

  Specified by:
    `size` in class `GPathResult`

### text

    public String text()

  Specified by:
    `text` in class `GPathResult`

### parents

    public GPathResult parents()

  Specified by:
    `parents` in class `GPathResult`

### childNodes

    public Iterator childNodes()

  Specified by:
    `childNodes` in class `GPathResult`

### iterator

    public Iterator iterator()

  Specified by:
    `iterator` in class `GPathResult`

### find

    public GPathResult find(Closure closure)

  Specified by:
    `find` in class `GPathResult`

### findAll

    public GPathResult findAll(Closure closure)

  Specified by:
    `findAll` in class `GPathResult`

### nodeIterator

    public Iterator nodeIterator()

  Specified by:
    `nodeIterator` in class `GPathResult`

### writeTo

    public Writer writeTo(Writer out)
                   throws IOException

  Description copied from interface: `Writable`
  writes this object to the given stream

  Throws:
    `IOException`

### build

    public void build(GroovyObject builder)

### replaceNode

    protected void replaceNode(Closure newValue)

  Specified by:
    `replaceNode` in class `GPathResult`

### replaceBody

    protected void replaceBody(Object newValue)

  Specified by:
    `replaceBody` in class `GPathResult`

### appendNode

    protected void appendNode(Object newValue)

  Specified by:
    `appendNode` in class `GPathResult`

Copyright © 2003-2008 The Codehaus. All rights reserved.